﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <UserSecretsId>dotnet-CheckService-438B71A8-7846-4198-8AD0-6283C236F777</UserSecretsId>
    <AssemblyName>GoC.AppStatus.CheckService</AssemblyName>
    <RootNamespace>GoC.AppStatus.CheckService</RootNamespace>
    <AssemblyVersion>0.1.0</AssemblyVersion>
    <FileVersion>0.1.0</FileVersion>
    <AssemblyInformationalVersion>0.1.0-Alpha</AssemblyInformationalVersion>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.Extensions.Configuration.Binder" Version="3.0.0" />
    <PackageReference Include="Hangfire.AspNetCore" Version="1.7.11" />
    <PackageReference Include="Hangfire.MemoryStorage" Version="1.7.0" />
    <PackageReference Include="Microsoft.ApplicationInsights.NLogTarget" Version="2.14.0" />
    <PackageReference Include="Microsoft.CodeAnalysis.FxCopAnalyzers" Version="3.0.0">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.Extensions.Hosting" Version="2.1.1" />
    <PackageReference Include="Microsoft.Extensions.Http" Version="2.1.1" />
    <PackageReference Include="NLog" Version="4.7.2" />
    <PackageReference Include="Notify" Version="2.8.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DBAccess\DBAccess.csproj" />
  </ItemGroup>
</Project>
